petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscEnd

Calls PetscFinalize() and then ends the program. This is useful if one wishes a clean exit somewhere deep in the program.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscEnd(void)

Collective on PETSC_COMM_WORLD

Options Database Keys are the same as for PetscFinalize()

### Note

See PetscInitialize() for more general runtime options.

### See Also

PetscInitialize(), PetscOptionsView(), PetscMallocDump(), PetscMPIDump(), PetscFinalize()

Level:advanced
Location:src/sys/objects/init.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex30.c.html